Bug 860435 - error printed during heat-keystone-service execution
error printed during heat-keystone-service execution
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: heat (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 15:50 EDT by Steven Dake
Modified: 2016-04-26 12:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-13 09:47:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-09-25 15:50:32 EDT
Description of problem:
[sdake@localhost ~]$  chmod +x heat-keystone-service
[sdake@localhost ~]$  sudo -E ./heat-keystone-service
Using the OS_PASSWORD for the SERVICE_PASSWORD.
I hope this works
ADMIN_ROLE d8379ec5cc274b588cb39be1234cbc83
SERVICE_TENANT 9626201019e94510bafb25918912f7aa
SERVICE_PASSWORD verybadpass
SERVICE_TOKEN 280a42c3c35b07447304
HEAT_USER 67a77abd9e9b433487a60cc254421fea
usage: keystone user-role-add --user-id <user-id> --role-id <role-id>
                              [--tenant-id <tenant-id>]
keystone user-role-add: error: ambiguous option: --user could match --user-id, --user_id
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
|   adminurl  |     http://localhost:8000/v1     |
|      id     | ac9e98d2473142fcaf8cfd2169e8f15a |
| internalurl |     http://localhost:8000/v1     |
|  publicurl  |     http://localhost:8000/v1     |
|    region   |            RegionOne             |
|  service_id | 87ef2703d6f3469e8d38c14ce4a23edc |
+-------------+----------------------------------+


Version-Release number of selected component (if applicable):
heat-6.2.fc18

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-12-21 03:56:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.